SMSメッセージを送信する
Messages APIを使ったSMSメッセージの送信は、JWTを使って認証された1回のAPIコールで行うことができる。
以下のコード例では、以下の変数を実際の値に置き換える必要がある:
| キー | 説明 |
|---|---|
FROM_NUMBER | 送信元の電話番号。 |
TO_NUMBER | 送信先の電話番号。 |
注: 先頭の + または 00 電話番号を入力する場合は、447700900000のように国番号から入力してください。
例
Write the code
Add the following to send-sms.sh:
curl -X POST https://api.nexmo.com/v1/messages \
-H "Authorization: Bearer "$JWT\
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-d $'{
"to": "'${MESSAGES_TO_NUMBER}'",
"from": "'${SMS_SENDER_ID}'",
"channel": "sms",
"message_type": "text",
"text": "This is an SMS sent using the Vonage Messages API."
}'
Run your code
Save this file to your machine and run it:
Prerequisites
npm install @vonage/server-sdk @vonage/messagesCreate a file named send-sms.js and add the following code:
const { Vonage } = require('@vonage/server-sdk');
const { Channels } = require('@vonage/messages');
/**
* It is best to send messages using JWT instead of basic auth. If you leave out
* apiKey and apiSecret, the messages SDK will send requests using JWT tokens
*
* @link https://developer.vonage.com/en/messages/technical-details#authentication
*/
const vonage = new Vonage(
{
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
},
{
...(MESSAGES_API_URL ? {apiHost: MESSAGES_API_URL} : {}),
},
);Write the code
Add the following to send-sms.js:
vonage.messages.send({
messageType: 'sms',
channel: Channels.SMS,
text: 'This is an SMS text message sent using the Messages API',
to: MESSAGES_TO_NUMBER,
from: SMS_SENDER_ID,
})
.then(({ messageUUID }) => console.log(messageUUID))
.catch((error) => console.error(error));Run your code
Save this file to your machine and run it:
Prerequisites
Add the following to build.gradle:
Create a class named SendSmsText and add the following code to the main method:
Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.messages.sms with the package containing SendSmsText:
Prerequisites
Add the following to build.gradle:
Create a class named SendSmsText and add the following code to the main method:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Write the code
Add the following to the main method of the SendSmsText class:
var response = client.getMessagesClient().sendMessage(
SmsTextRequest.builder()
.from(SMS_SENDER_ID).to(MESSAGES_TO_NUMBER)
.text("This is an SMS text message sent using the Messages API")
.build()
);
System.out.println("Message sent successfully. ID: " + response.getMessageUuid());Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.messages.sms with the package containing SendSmsText:
Prerequisites
Install-Package VonagePrerequisites
composer require vonage/clientCreate a file named send-sms.php and add the following code:
Run your code
Save this file to your machine and run it:
Prerequisites
pip install vonage python-dotenvRun your code
Save this file to your machine and run it:
Prerequisites
gem install vonageCreate a file named send-sms.rb and add the following code:
Write the code
Add the following to send-sms.rb:
message = client.messaging.sms(
message: "A SMS message sent using the Vonage Messages API"
)
client.messaging.send(
from: SMS_SENDER_ID,
to: MESSAGES_TO_NUMBER,
**message
)Run your code
Save this file to your machine and run it:
指定した宛先番号にSMSメッセージが送信されます。
ヒント Curlを使用してテストする場合は、JWTが必要です。のドキュメントで作成方法を見ることができます。 JWTの作成.
SMSメッセージの送信
Messages API は、Facebook Messenger、SMS、WhatsApp、Viber など様々なチャンネルにメッセージを送信する機能を提供します。このタスクでは、Messages API を使って SMS メッセージを送信します。